Next Previous Contents

## 3.96 memchr

> Function

>   Search for a character in a block of raw memory.

> Header

>   `string.h`

> Declaration

>   `void* __fastcall__ strchr (const void* mem, int c, size_t count);`

> Description

>   The `memchr` function locates the first occurrence of `c` (converted to a char) in the block of raw memory string pointed to by `mem` that is of size `count`. Upon completion, the function returns a pointer to the character found, or a null pointer if the character was not found.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   ISO 9899

> See also

>   strchr

> Example

>   None.

Next Previous Contents